Subject: bug#8682: 24.0.50; doc strings of `isearch-mode', `isearch-forward', etc.

From: "Drew Adams" <[email-masked]>
Date: Tue, 17 May 2011 12:12:02 -0700

> > If you don't like `-P' because you think it too closely conveys
> > "predicate" (and you don't want to consider a variable as a nullary
> > predicate), then choose another naming convention for this.  It is
> > quite helpful to suggest by a parameter's name that it represents
> > a truth value: nil/non-nil.
> 
> `forward' works just fine, `recursive' as well.
> I agree that `regexp' isn't quite as clear because it's a 
> substantive so
> it could also be understood to carry a regular expression, so you may
> prefer `use-regexp' or something like that.

No, the point was to have a convention that suggests the Boolean-valuedness
irrespective of the rest of the parameter name.

Anyway, this is not the most important part of this bug report.